Get Agent Details
curl --request GET \
--url https://dev.voice.ai/api/v1/agent/{agent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.voice.ai/api/v1/agent/{agent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.voice.ai/api/v1/agent/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_id": "<string>",
"name": "<string>",
"config": {
"prompt": "<string>",
"greeting": "<string>",
"llm_temperature": 0.7,
"llm_model": "gemini-2.5-flash-lite",
"tts_min_sentence_len": 20,
"tts_params": {
"voice_id": "<string>",
"language": "en",
"temperature": 1,
"top_p": 0.8,
"dictionary_id": "<string>"
},
"min_silence_duration": 0.55,
"min_speech_duration": 0.1,
"user_silence_timeout": 10,
"max_call_duration_seconds": 900,
"allow_interruptions": true,
"allow_interruptions_on_greeting": false,
"min_interruption_words": 1,
"auto_noise_reduction": true,
"allow_agent_to_end_call": false,
"allow_agent_to_skip_turn": false,
"min_endpointing_delay": 0.5,
"max_endpointing_delay": 3,
"vad_activation_threshold": 0.6,
"phone_number": "<string>",
"phone_provider": "twilio",
"recording_enabled": true,
"webhooks": {
"events": [
{
"url": "<string>",
"has_secret": false,
"events": [
"<string>"
],
"timeout": 5,
"enabled": true
}
],
"tools": [
{
"name": "<string>",
"description": "<string>",
"url": "<string>",
"parameters": {},
"response": {},
"timeout": 10
}
],
"inbound_call": {
"url": "<string>",
"has_secret": false,
"timeout": 5,
"enabled": true
}
},
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"description": "<string>",
"auth_type": "none",
"auth_token": "<string>",
"headers": {}
}
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "paused",
"status_code": 1,
"kb_id": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent Management
Get Agent Details
Get detailed information on a single agent.
GET
/
api
/
v1
/
agent
/
{agent_id}
Get Agent Details
Authorizations
Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer
Path Parameters
⌘I